//! stable.js 0.1.8, https://github.com/Two-Screen/stable
//! © 2018 Angry Bytes and contributors. MIT licensed.
!function(e,n){"object"==typeof exports&&"undefined"!=typeof module?module.exports=n():"function"==typeof define&&define.amd?define(n):(e="undefined"!=typeof globalThis?globalThis:e||self).stable=n()}(this,function(){"use strict";
// A stable array sort, because `Array#sort()` is not guaranteed stable.
// This is an implementation of merge sort, without recursion.
function e(e,n){return t(e.slice(),n)}
// Execute the sort using the input array and a second buffer as work space.
// Returns one of those two, containing the final result.
function t(e,n){"function"!=typeof n&&(n=function(e,n){return String(e).localeCompare(n)});
// Short-circuit when there's nothing to sort.
var t=e.length;if(!(t<=1))for(
// Rather than dividing input, simply iterate chunks of 1, 2, 4, 8, etc.
// Chunks are the size of the left or right hand in merge sort.
// Stop when the left-hand covers all of the array.
var f=new Array(t),o=1;o<t;o*=2){i(e,n,o,f);var r=e;e=f,f=r}return e}
// Run a single pass with the given chunk size.
e.inplace=function(e,n){n=t(e,n);
// This simply copies back if the result isn't in the original array,
// which happens on an odd number of passes.
return n!==e&&i(n,null,e.length,e),e};var i=function(e,n,t,f){
// Iterate over pairs of chunks.
for(var o,r,i,u,l=e.length,a=0,c=2*t,s=0;s<l;s+=c)for(l<(r=(o=s+t)+t)&&(r=l),
// Iterate both chunks in parallel.
i=s,u=o=l<o?l:o;;)
// Compare the chunks.
if(i<o&&u<r)
// This works for a regular `sort()` compatible comparator,
// but also for a simple comparator like: `a > b`
n(e[i],e[u])<=0?f[a++]=e[i++]:f[a++]=e[u++];else if(i<o)f[a++]=e[i++];else{if(!(u<r))break;f[a++]=e[u++]}};return e});